API referencePeople
Create a person
POST
/peoplecurl -X POST "https://actions.53degrees.app/api/v1/people" \
-H "Authorization: Bearer $53_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "string",
"lastName": "string",
"email": "[email protected]"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
firstNamestringrequiredlastNamestringrequiredtitlestringdateOfBirthstringAn ISO 8601 date or date-time.
emailstring<email>requiredphonestring | nullIn international format, such as "+447700900123".
addressobject | nulllinksobject[] | nulllifecycleenum<string>One of:leadprospectcustomerchurnedvipemployeesupplierotherassignedTostring | nullThe user id of the member who owns it.
notesstringPlain text.
externalIdstring | nullYour own id for it.
sourcestringWhere they came from, by name. Made if it doesn't exist; "API" when left out.
Response
application/json
Success
idstringrequiredAn id the API returned.
objectenum<string>requiredOne of:personfirstNamestring | nullrequiredlastNamestring | nullrequiredtitlestring | nullrequirednamestringrequiredemailstring | nullrequiredphonestring | nullrequireddateOfBirthstring | nullrequiredaddressobject | nullrequiredlinksobject[]requiredlifecycleenum<string>requiredOne of:leadprospectcustomerchurnedvipemployeesupplierothersourcestring | nullrequiredassignedTostring | nullrequiredexternalIdstring | nullrequiredtagsstring[]requiredcreatedAtstringrequiredISO 8601.
updatedAtstringrequiredISO 8601.
{
"id": "string",
"object": "person",
"firstName": "string",
"lastName": "string",
"title": "string",
"name": "string",
"email": "string",
"phone": "string",
"dateOfBirth": "string",
"address": {
"line1": "string",
"line2": "string",
"city": "string",
"region": "string",
"postcode": "string",
"country": "string"
},
"links": [
{
"type": "website",
"url": "https://example.com"
}
],
"lifecycle": "lead",
"source": "string",
"assignedTo": "string",
"externalId": "string",
"tags": [
"string"
],
"createdAt": "string",
"updatedAt": "string"
}